% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/AllClasses.R
\docType{class}
\name{StratigraphicMatrix-class}
\alias{StratigraphicMatrix-class}
\alias{.StratigraphicMatrix}
\title{Stratigraphy}
\description{
An S4 class to represent a stratigraphic matrix.
}
\details{
A stratigraphic matrix represents directed relationships between
 stratigraphic units. A stratigraphic matrix is an adjacency matrix (a non
 symetric square matrix with zeros on its main diagonal), suitable to build
 a directed acyclic graph (DAG).
}
\examples{
# Principles of Archaeological Stratigraphy, fig. 12
harris <- matrix(
  data = c(2, 1,
           3, 1,
           4, 1,
           5, 2,
           5, 3,
           5, 4,
           6, 5,
           7, 1,
           7, 6,
           8, 1,
           8, 6,
           9, 7,
           9, 8),
  ncol = 2,
  byrow = TRUE,
  dimnames = list(NULL, c("lower", "upper"))
)

strati <- as_stratigraphy(harris)
}
\seealso{
\linkS4class{LogicalMatrix}

Other matrix: \code{\link{CountMatrix-class}},
  \code{\link{FrequencyMatrix-class}},
  \code{\link{IncidenceMatrix-class}},
  \code{\link{LogicalMatrix-class}},
  \code{\link{Matrix-class}},
  \code{\link{NumericMatrix-class}},
  \code{\link{OccurrenceMatrix-class}},
  \code{\link{SimilarityMatrix-class}},
  \code{\link{coerce}}
}
\author{
N. Frerebeau
}
\concept{matrix}
